> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# CreditNotesTable component

## Overview

`CreditNotesTable` is a React component that displays all [credit notes](../../../accounts-receivable/credit-notes) created by an entity. The component shows each credit note's amount, status, issuance date, and counterpart to which they were sent.

## Permissions

To access this component, the entity user must have `read` permissions for the `receivable` object. For more information, see [List of permissions](/api/concepts/authentication#permissions).

## Preview

![CreditNotesTable component preview](/_fern-img/ae25e5d87ed50344ac2a1a9263feb4006f4c7409f319289c5e824efe6831a03b.webp)

> **Tip**
>
> You can move and organize the columns of the table the way you prefer.

## Usage

Use the `CreditNotesTable` component in your application as follows:

**`React.js`**

```jsx React.js
import { CreditNotesTable } from "@monite/sdk-react";

...

// TODO: This component must be rendered within the MoniteProvider wrapper
const CreditNotesTablePage = () => {
 return  <CreditNotesTable />
};
```

## Props

**`filters`** `array of string`

A list of search filters to display above the data table. Each filter is defined by the name of the underlying data field. UI labels of the filter inputs are populated automatically.

The default filters are: credit note number (partial match), status, and counterpart.

Example:

```jsx
<CreditNotesTable filters={[
  "document_id__contains",
  "status",
  "counterpart_id"
]} />
```

---

**`onRowClick`** `function`

This callback takes the identifier of the clicked row as a parameter and is triggered when a credit note table row is clicked.

---

**`query`** `object`

The data query used to populate the table.
The object's fields correspond to the query parameters of the [`GET /receivables`](/api/receivables/get-receivables) endpoint.
The `type` field is required, others are optional.

Example: display only draft credit notes, newest first:

```jsx
<CreditNotesTable query={{
  type: "credit_note",
  status: "draft",
  sort: "created_at",
  order: "desc"
}} />
```

---